## hostapd 0.5.0

=== Makefile ===
--- 
+++ 
@@ -20,9 +20,11 @@
 OBJS =	hostapd.o eloop.o ieee802_1x.o eapol_sm.o radius.o md5.o rc4.o \
 	common.o ieee802_11.o config.o ieee802_11_auth.o accounting.o \
 	sta_info.o radius_client.o sha1.o wpa.o aes_wrap.o ctrl_iface.o \
-	driver_conf.o
+	driver_conf.o os_unix.o preauth.o pmksa_cache.o
 
 -include .config
+
+CFLAGS += -DCONFIG_CTRL_IFACE
 
 ifdef CONFIG_IAPP
 CFLAGS += -DCONFIG_IAPP
@@ -32,6 +34,10 @@
 ifdef CONFIG_RSN_PREAUTH
 CFLAGS += -DCONFIG_RSN_PREAUTH
 CONFIG_L2_PACKET=y
+endif
+
+ifdef CONFIG_STAKEY
+CFLAGS += -DCONFIG_STAKEY
 endif
 
 ifdef CONFIG_DRIVER_HOSTAP
@@ -60,6 +66,7 @@
 OBJS += driver_bsd.o
 CONFIG_L2_PACKET=y
 CONFIG_DNET_PCAP=y
+CONFIG_L2_FREEBSD=y
 endif
 
 ifdef CONFIG_DRIVER_TEST
@@ -68,13 +75,19 @@
 endif
 
 ifdef CONFIG_L2_PACKET
-OBJS += $(DIR_WPA_SUPPLICANT)/l2_packet.o
-endif
-
 ifdef CONFIG_DNET_PCAP
-CFLAGS += -DUSE_DNET_PCAP
-LIBS +=-ldnet -lpcap
-endif
+ifdef CONFIG_L2_FREEBSD
+LIBS += -lpcap
+OBJS += $(DIR_WPA_SUPPLICANT)/l2_packet_freebsd.o
+else
+LIBS += -ldnet -lpcap
+OBJS += $(DIR_WPA_SUPPLICANT)/l2_packet_pcap.o
+endif
+else
+OBJS += $(DIR_WPA_SUPPLICANT)/l2_packet_linux.o
+endif
+endif
+
 
 ifdef CONFIG_EAP_MD5
 CFLAGS += -DEAP_MD5
@@ -114,15 +127,32 @@
 
 ifdef CONFIG_EAP_SIM
 CFLAGS += -DEAP_SIM
-OBJS += eap_sim.o $(DIR_WPA_SUPPLICANT)/eap_sim_common.o
-# Example EAP-SIM interface for GSM authentication. This can be replaced with
-# another file implementating the interface specified in eap_sim_db.h.
+OBJS += eap_sim.o
+CONFIG_EAP_SIM_COMMON=y
+endif
+
+ifdef CONFIG_EAP_AKA
+CFLAGS += -DEAP_AKA
+OBJS += eap_aka.o
+CONFIG_EAP_SIM_COMMON=y
+endif
+
+ifdef CONFIG_EAP_SIM_COMMON
+OBJS += $(DIR_WPA_SUPPLICANT)/eap_sim_common.o
+# Example EAP-SIM/AKA interface for GSM/UMTS authentication. This can be
+# replaced with another file implementating the interface specified in
+# eap_sim_db.h.
 OBJS += eap_sim_db.o
 endif
 
 ifdef CONFIG_EAP_PAX
 CFLAGS += -DEAP_PAX
 OBJS += eap_pax.o $(DIR_WPA_SUPPLICANT)/eap_pax_common.o
+endif
+
+ifdef CONFIG_EAP_PSK
+CFLAGS += -DEAP_PSK
+OBJS += eap_psk.o $(DIR_WPA_SUPPLICANT)/eap_psk_common.o
 endif
 
 ifdef CONFIG_EAP_TLV
@@ -188,10 +218,7 @@
 	rm -f driver_conf.c
 	echo '/* THIS FILE AUTOMATICALLY GENERATED, DO NOT EDIT! */' \
 							> driver_conf.c
-	echo '#include <stdlib.h>'			>> driver_conf.c
-	echo '#include <stdio.h>'			>> driver_conf.c
-	echo '#include <sys/types.h>'			>> driver_conf.c
-	echo '#include <netinet/in.h>'			>> driver_conf.c
+	echo '#include "includes.h"'			>> driver_conf.c
 	echo '#include "hostapd.h"'			>> driver_conf.c
 	echo '#include "driver.h"'			>> driver_conf.c
 ifdef CONFIG_DRIVER_HOSTAP
@@ -236,7 +263,29 @@
 hostapd_cli: hostapd_cli.o $(DIR_WPA_SUPPLICANT)/wpa_ctrl.o
 	$(CC) -o hostapd_cli hostapd_cli.o $(DIR_WPA_SUPPLICANT)/wpa_ctrl.o
 
+NOBJS = nt_password_hash.o $(DIR_WPA_SUPPLICANT)/ms_funcs.o sha1.o rc4.o md5.o
+NOBJS += $(DIR_WPA_SUPPLICANT)/crypto.o
+ifdef TLS_FUNCS
+LIBS_n += -lcrypto
+endif
+
+nt_password_hash: $(NOBJS)
+	$(CC) -o nt_password_hash $(NOBJS) $(LIBS_n)
+
 clean:
-	rm -f core *~ *.o hostapd hostapd_cli *.d driver_conf.c
+	rm -f core *~ *.o hostapd hostapd_cli nt_password_hash
+	rm -f *.d driver_conf.c
+
+docs:
+	doxygen doc/doxygen.full
+	$(MAKE) -C doc/latex
+	cp doc/latex/refman.pdf hostapd-devel.pdf
+
+docs-fast:
+	doxygen doc/doxygen.fast
+
+clean-docs:
+	rm -rf doc/latex doc/html
+	rm -f hostapd-devel.pdf
 
 -include $(OBJS:%.o=%.d)
