## hostapd 0.5.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 CC=gcc
 DIR_WPA_SUPPLICANT=.
-DIR_HOSTAP=.
 
 ifndef CFLAGS
 CFLAGS = -MMD -O2 -Wall -g
@@ -11,7 +10,7 @@
 CFLAGS += -DHOSTAPD_DUMP_STATE
 
 # Include directories for CVS version
-CFLAGS += -I. -I$(DIR_HOSTAP) -I../utils -I$(DIR_WPA_SUPPLICANT)
+CFLAGS += -I. -I../utils -I$(DIR_WPA_SUPPLICANT)
 
 # Uncomment following line and set the path to your kernel tree include
 # directory if your C library does not include all header files.
@@ -27,6 +26,10 @@
 endif
 endif
 
+ifeq ($(CONFIG_OS), internal)
+CFLAGS += -DOS_NO_C_LIB_DEFINES
+endif
+
 ifdef CONFIG_NATIVE_WINDOWS
 CFLAGS += -DCONFIG_NATIVE_WINDOWS
 LIBS += -lws2_32
@@ -36,7 +39,8 @@
 	common.o ieee802_11.o config.o ieee802_11_auth.o accounting.o \
 	sta_info.o radius_client.o sha1.o wpa.o aes_wrap.o ctrl_iface.o \
 	driver_conf.o os_$(CONFIG_OS).o preauth.o pmksa_cache.o beacon.o \
-	hw_features.o wme.o ap_list.o
+	hw_features.o wme.o ap_list.o reconfig.o \
+	mlme.o vlan_init.o ieee802_11h.o
 
 HOBJS=hlr_auc_gw.o common.o os_$(CONFIG_OS).o milenage.o aes_wrap.o
 
@@ -52,12 +56,13 @@
 CONFIG_L2_PACKET=y
 endif
 
-ifdef CONFIG_STAKEY
-CFLAGS += -DCONFIG_STAKEY
-endif
-
 ifdef CONFIG_PEERKEY
 CFLAGS += -DCONFIG_PEERKEY
+endif
+
+ifdef CONFIG_IEEE80211W
+CFLAGS += -DCONFIG_IEEE80211W
+NEED_SHA256=y
 endif
 
 ifdef CONFIG_DRIVER_HOSTAP
@@ -308,6 +313,12 @@
 CFLAGS += -DCONFIG_IPV6
 endif
 
+ifdef CONFIG_FULL_DYNAMIC_VLAN
+# define CONFIG_FULL_DYNAMIC_VLAN to have hostapd manipulate bridges
+# and vlan interfaces for the vlan feature.
+CFLAGS += -DCONFIG_FULL_DYNAMIC_VLAN
+endif
+
 ALL=hostapd hostapd_cli
 
 all: verify_config $(ALL)
@@ -422,7 +433,7 @@
 TEST_SRC_MILENAGE = milenage.c aes_wrap.c common.c os_$(CONFIG_OS).c
 test-milenage: $(TEST_SRC_MILENAGE)
 	$(CC) -o test-milenage -Wall -Werror $(TEST_SRC_MILENAGE) \
-		-DTEST_MAIN_MILENAGE -I. -I../wpa_supplicant
+		-DTEST_MAIN_MILENAGE -I. -I../wpa_supplicant -DINTERNAL_AES
 	./test-milenage
 	rm test-milenage
