=== debian/changelog ===
hostapd (1:0.6.10-2+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix DoS via specially crafted EAP-TLS messages with longer message
    length than TLS data length.

 -- Nico Golde <nion@debian.org>  Mon, 24 Sep 2012 09:42:59 +0000

hostapd (1:0.6.10-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Add DTIM.patch, cherry picked from upstream, which works around
    problem setting DTIM period too early causing hostapd to bail out
    unceremoniously. (Closes: #570116)
  * Fix syntax error in ifupdown.sh. (Closes: #571029)

 -- Kel Modderman <kel@otaku42.de>  Wed, 24 Feb 2010 19:36:11 +1000

hostapd (1:0.6.10-1) unstable; urgency=low

  * New upstream release.
    - drop all patches applied upstream
  * Install hostapd_cli to /usr/sbin/ from /usr/bin/, as it requires
    explicit permissions to be usable by non-admin.
  * Support the status command in init.d script. Depend on lsb-base (>=
    3.2-13) for status_of_proc. Patch thanks to Peter Eisentraut.
    (Closes: #535633)
  * Add debian/README.source to describe use of quilt patch system.
  * Increase Standards-Version to 3.8.4 without extra changes.
  * Reduce debian/rules by tweaking the sequence of a few things and
    using the --sourcedirectory option of dh in debhelper (>= 7.3.7~).
    Build-Depend on that debhelper version.
  * No longer install /etc/hostapd/hostapd.conf per default as there are
    no sane defaults. Instead provide the configuration as an example
    only and take care to remove previously installed conffiles which
    remain unedited on upgrade.
  * Clean up init.d script a bit by using existance of hostapd daemon
    configuration file as defined in /etc/default/hostapd as conditional
    for starting instead of magic RUN_DAEMON variable.
  * Update README.Debian to contain information about the example
    hostapd.conf file.
  * Remove Reinhard Tartler from uploaders at his request. Thanks for
    past contribution.
  * Remove uupdate command from debian/watch, unused by maintainer.
  * Adjust debian/watch to scan for the 0.6.X stable releases only.

 -- Kel Modderman <kel@otaku42.de>  Thu, 11 Feb 2010 14:49:44 +1000

hostapd (1:0.6.9-3) unstable; urgency=low

  * Change Maintainer to pkg-wpa-devel team and add Reinhard and myself
    to Uploaders to better reflect the organisation which makes the package
    available.
  * Import upstream patches:
    - hostap_reuse_existing_ctrl_iface_socket.patch allows to reuse ctrl
      interface sockets left over as result of unclean shutdown
    - hostap_reject_conf_without_channel_nl80211.patch adds code to reject
      configurations which use nl80211 driver without setting a channel
      because this will always fail for the time being
  * Build-Depend on quilt >= 0.46-7 for dh integration.
  * Update debian/control long description to mention mac80211 based
    drivers. Thanks to Jan Braunisch for noticing.
  * Also remove reference to the Prism54 driver in package long
    description, we do not support it.

 -- Kel Modderman <kel@otaku42.de>  Sun, 17 May 2009 04:35:12 +1000

hostapd (1:0.6.9-2) unstable; urgency=low

  * Enable CONFIG_IEEE80211W, IEEE 802.11w (management frame
    protection). (Closes: #522328)

 -- Kel Modderman <kel@otaku42.de>  Fri, 03 Apr 2009 07:07:06 +1000

hostapd (1:0.6.9-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release. (Closes: #521142)
  * Document copyright errata of hostapd/driver_atheros.c in
    debian/copyright.
    - activate nl80211 driver backend (Closes: #429734)
    - deactivate prism54 driver, it is now working. Do not mention it
      in README.Debian (Closes: #475451)
  * Add build dependency of libnl-dev (>= 1.1) for the nl80211 driver
    backend.
  * Remove need for patch system.
    - ship madwifi headers in debian/driver_madwifi
    - use sed to patch hostapd.conf in order to change /etc/hostapd.* to
      /etc/hostapd/*
    - copy in build configuration from debian/config/$(DEB_HOST_ARCH_OS)
      to hostapd/.config rather than using a patch
  * Add support for kfreebsd build by providing debian/config/kfreebsd
    without Linux specific build options.
  * Use dh-centric debian/rules and build-depend on debhelper (>= 7.0.50)
    in order to take advantage of the override_dh_* feature.
  * Bump debian/compat to 7.
  * Adjust Standards-Version to 3.8.0, no further changes needed.
  * Use machine parsable debian/copyright format.
  * Add debian/manpages instead of using explicit dh_installmanpages
    command in debian/rules.
  * Rename debian/lintian-overrides to debian/hostapd.lintian-overrides
    so that dh_lintian automatically picks it up.
  * Bump Standards-Version to 3.8.1, no other changes required.
  * Remove var/run/hostapd and usr/share/lintian/overrides from
    debian/dirs. hostapd is able to create its own directory for unix
    sockets (and that may be anywhere admin decides) and lintian stuff
    is taken care of by debhelper now.
  * Update copyright information in debian/ifupdown.sh

  [ Faidon Liambotis ]
  * Switch Maintainer/Uploaders roles with Kel; he's the de facto maintainer
    nowadays, he may as well listed as such.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 29 Mar 2009 21:37:22 +0300

hostapd (1:0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Document the two methods of managing hostapd in README.Debian. Also add a
    hint to /etc/default/hostapd to consult README.Debian for more
    information. (Closes: #443786)
  * Cleanup of debian/rules, actually honor nostrip by specifying default
    CFLAGS when invoking make. Remove redundant commented out content.
  * Fix incorrect LSB dependency information, hostapd now requires $remote_fs
    virtual facility for start and stop. Thanks to Petter Reinholdtsen.
    (Closes: #466283)

 -- Kel Modderman <kel@otaku42.de>  Tue, 11 Mar 2008 12:36:03 +1000

hostapd (1:0.5.9-1) unstable; urgency=low

  * New upstream release.

