=== debian/control ===
Source: hostapd
Section: net
Priority: optional
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>,
 Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 7.3.7~),
 libssl-dev,
 libnl-dev (>= 1.1)
Standards-Version: 3.8.4
Homepage: http://w1.fi/
Vcs-Svn: svn://svn.debian.org/pkg-wpa/hostapd/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-wpa/hostapd/trunk/

Package: hostapd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Description: user space IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/EAP Authenticator
 Originally, hostapd was an optional user space component for Host AP
 driver. It adds more features to the basic IEEE 802.11 management
 included in the kernel driver: using external RADIUS authentication
 server for MAC address based access control, IEEE 802.1X Authenticator
 and dynamic WEP keying, RADIUS accounting, WPA/WPA2 (IEEE 802.11i/RSN)
 Authenticator and dynamic TKIP/CCMP keying.
 .
 The current version includes support for other drivers, an integrated
 EAP authenticator (i.e., allow full authentication without requiring
 an external RADIUS authentication server), and RADIUS authentication
 server for EAP authentication.
 .
 hostapd works with the following drivers:
 .
  * mac80211 based drivers with support for master mode
  * Host AP driver for Prism2/2.5/3,
  * madwifi driver for cards based on Atheros chip set (ar521x),
  * Any wired Ethernet driver for wired IEEE 802.1X authentication.
