=== debian/watch ===
version=3
http://w1.fi/releases/hostapd-(0\.6\.\d+)\.tar\.gz
